UbuntuUpdates.org

Package "libndp"

Name: libndp

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Library for Neighbor Discovery Protocol (development files)
  • Library for Neighbor Discovery Protocol

Latest version: 1.8-1fakesync1ubuntu0.23.10.1
Release: mantic (23.10)
Level: security
Repository: main

Links



Other versions of "libndp" in Mantic

Repository Area Version
base universe 1.8-1fakesync1
base main 1.8-1fakesync1
security universe 1.8-1fakesync1ubuntu0.23.10.1
updates universe 1.8-1fakesync1ubuntu0.23.10.1
updates main 1.8-1fakesync1ubuntu0.23.10.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1.8-1fakesync1ubuntu0.23.10.1 2024-06-12 13:35:12 UTC

  libndp (1.8-1fakesync1ubuntu0.23.10.1) mantic-security; urgency=medium

  * SECURITY UPDATE: buffer overflow via malformed IPv6 router adv packet
    - debian/patches/CVE-2024-5564.patch: validate route information option
      length in libndp/libndp.c.
    - CVE-2024-5564

 -- Marc Deslauriers <email address hidden> Fri, 07 Jun 2024 09:52:34 -0400

CVE-2024-5564 A vulnerability was found in libndp. This flaw allows a local malicious user to cause a buffer overflow in NetworkManager, triggered by sending a mal



About   -   Send Feedback to @ubuntu_updates